import { request } from 'umi';

// export async function getpage(params) {
//   return request('/api​/sysOrg​/page', {
//     method: 'POST',
//     data: {
//       ...params,
//     },
//   });
// }

export async function getpage(params, options) {
  return request('/kitchen/api/sysOrg​/page', {
    method: 'GET',
    params: {
      ...params,
    },
  });
}
export async function add(params) {
  return request('/kitchen/api/sysOrg/add', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}

// export async function add(params) {

//   console.log('查询', params);
//   return request('/​api/sysOrg/add', {
//     method: 'POST',
//     data: {
//       ...params,
//     },
//   });
// }
export async function getlist(params) {
  return request('​/kitchen/api​/sysOrg​/list', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
export async function orgdelete(params) {
  return request('​/kitchen/api​/sysOrg​/delete', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}

export async function edit(params) {
  return request('​/kitchen/api​/sysOrg​/edit', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
export async function getdetail(params) {
  return request('/kitchen​/api​/sysOrg​/detail', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
export async function gettree(params) {
  return request('​/kitchen/api​/sysOrg​/tree', {
    data: {
      ...params,
    },
  });
}
